> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.solvimon.com/api-docs/identity-api/authentication/post-oauth-sandbox-token/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server. # Obtain short-lived token for sandbox platform provisioning POST https://test.api.solvimon.com/v{version}/oauth/sandbox-token Content-Type: application/json Reference: https://docs.solvimon.com/api-docs/identity-api/authentication/post-oauth-sandbox-token ## Servers - `https://test.api.solvimon.com` (The TEST environment for our API, default) - `https://api.solvimon.com` (The live environment for our API) ## Request ### Path parameters - `version` (string, required, default: 1) — version ### Headers - `x-platform-id` (string, optional) — Platform ID. ### Body (application/json) This endpoint expects a CaptchaRequestCreateRequest. - `email` (string, required) - `captcha_token` (string, required) ## Response ### 200 OK - `issued_at` (string, optional, nullable) - `access_token` (string, optional) - `expires_in` (long, optional) - `expires_at` (string, optional, nullable) - `token_type` (string, optional) - `scope` (string, optional, nullable) - `id_token` (string, optional, nullable) ## Examples **Request** ```json { "email": "string", "captcha_token": "string" } ``` **Response** ```json { "issued_at": "string", "access_token": "string", "expires_in": 1, "expires_at": "string", "token_type": "string", "scope": "string", "id_token": "string" } ``` **SDK Code** ```python import requests url = "https://test.api.solvimon.com/v1/oauth/sandbox-token" payload = { "email": "string", "captcha_token": "string" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://test.api.solvimon.com/v1/oauth/sandbox-token'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"string","captcha_token":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://test.api.solvimon.com/v1/oauth/sandbox-token" payload := strings.NewReader("{\n \"email\": \"string\",\n \"captcha_token\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://test.api.solvimon.com/v1/oauth/sandbox-token") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"string\",\n \"captcha_token\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://test.api.solvimon.com/v1/oauth/sandbox-token") .header("Content-Type", "application/json") .body("{\n \"email\": \"string\",\n \"captcha_token\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://test.api.solvimon.com/v1/oauth/sandbox-token', [ 'body' => '{ "email": "string", "captcha_token": "string" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://test.api.solvimon.com/v1/oauth/sandbox-token"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email\": \"string\",\n \"captcha_token\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "email": "string", "captcha_token": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/oauth/sandbox-token")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```